#include <hidef.h> /* for EnableInterrupts macro */
#include "derivative.h" /* include peripheral declarations */


extern const unsigned char time1bH[28]  ={ 0,
                                           0x06,0x00,0x05,0x02,0x03,0x03,0x02,0x05,
                                           0x01,0x06,0x00,0x06,     0x00,0x16,0x00,      //0x16
                                           0x06,0x00,0x06,0x01,0x05,0x02,0x03,0x03,
                                           0x02,0x05,0x00,0x06 } ;
                                           
extern const unsigned char time1bL[28]  = {0,
                                           0xD6,0xA5,0x3D,0x3C,0xBF,0xBB,0x6D,0x0D,
                                           0x55,0x24,0x82,0xF5,     0x20,0xE9,0x20,     //0xE9
                                           0xF6,0x82,0x24,0x55,0x0D,0x6D,0xBB,0xBF,
                                           0x3C,0x3D,0xA5,0xD6 } ;
extern  unsigned char dcy= 0 ;
   
void main(void) {

  unsigned char i ;
  unsigned int wait;

/* Initialisation + external crystal @ 12 MHz   */

/* System clock initialization */
 

  CONFIG1 = 0x01 ;                                   
  CONFIG2 = 0b00011000 ;  
  
                                        
  {                                     
    for(wait = 0; wait < 0x3FFF; wait++) {};
  }
  
  
  OSCSTAT |= (unsigned char)0x02;      // Enable External Clock Generator 
  while(!OSCSTAT_ECGST) {              // Wait for external oscillator stabilization  
  }
 
  
 
 //%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%//
 
  asm SEI ;              /* Pas d'interrupts*/

   
  DDRA = 0b00001011 ; // sorties sur PTA0 et PTA1
  
  
  for (;;) {       // loop forever 
    
  PTA_PTA3= ~ PTA_PTA3 ;
 
  PTA_PTA0=1 ;    //  LOGIQUE INVERSEE =1  (non passant)
  PTA_PTA1=1 ;
  
  
  /*, 0 - 180 degrs     phase 1 (PTA0) */
  
  for(i=27;i>0;i--) {
                          //  1
  TSC  = 0x30;           /* Stop and reset counter */


  TMODH = time1bH[i]  ;           /* Period value setting */
  TMODL = time1bL[i]  ;           /* Period value setting */


  TSC  = 0x00;           /*  Start Counter */
  while (!TSC_TOF) {};    // Attend la fin du comptage 
  TSC ;
 
  PTA_PTA0 =~ PTA_PTA0  ;

  
                   }  ;
   
//---------------------------------------------------------------------------------//
 
  PTA_PTA0=1 ;          
  PTA_PTA1=1 ;        //  LOGIQUE INVERSEE =1
  
  /*, 180 - 360 degrs     phase 2 (PTA1) */
  for(i=27;i>0;i--) {
                          //  1
  TSC  = 0x30;           /* Stop and reset counter */
  TMODH = time1bH[i]  ;           /* Period value setting */
  TMODL = time1bL[i]  ;           /* Period value setting */
  TSC  = 0x00;           /*  Start Counter */
  while (!TSC_TOF)  ;    // Attend la fin du comptage 
  TSC; 
 
  PTA_PTA1 =~ PTA_PTA1  ;
  
                    }
  
     
            } /* loop forever */
  /* please make sure that you never leave main */
}






